--[[
-- Ambient level
-- MISI MOD for GTA2
--
-- Author: DenLover
-- Date: 30 mar 2018
-- Mod version: v0.1
-- MISI since version: v0.3.3b
-- Description: Press key "9" for increment or key "0" decrement of light.
]]--

-- Don't require from directory scripts it need load from special folder modules or other folder
local STAGEC = require("modules.STAGEC")

local gamestate = 0
local light = 0.6

while(GetGameFrame() == 0) do 
end
if (GetSCRName() ~= "data/STAGEC.SCR") then
	SetSCRName("data/STAGEC.SCR")
end

while(true) do
	if (GetGameFrame() > 0) then
		if (gamestate == 0) then
			wait(100)
			STAGEC.SetAmbientLevel(light, 0)
			gamestate = 1
		else
			if (IsKeyPress(0x39)) then -- Press key "9"
				light = light + 0.1
				if (light > 1.0) then
					light = 1.0	
				end
				WriteInLog(string.format("Set ambient level %.01f of 1.0\n", light))
				STAGEC.SetAmbientLevel(light, 0)
				wait(50)
			end
			if (IsKeyPress(0x30)) then -- Press key "0"
				light = light - 0.1
				if (light < 0.0) then
					light = 0.0	
				end
				WriteInLog(string.format("Set ambient level %.01f of 1.0\n", light))
				STAGEC.SetAmbientLevel(light, 0)
				wait(50)
			end
		end
	else
		gamestate = 0
	end
end